Skip to main content

Balance Number

Calculates the Balance number from the first letter of each name part. Indicates how a person handles stress and unresolved issues.

Endpoint

POST /v1/numerology/balance

Request parameters

FieldTypeRequiredDescription
namestringYesFull name (first and last)

Example request

curl -X POST "https://api.asterwise.com/v1/numerology/balance" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"Arjun Mehta"}'

Example response

{
"success": true,
"message": "success",
"data": {
"number": 5,
"is_master_number": false,
"karmic_debt_number": null
}
}

Response fields

FieldTypeDescription
successbooleanTrue if the request succeeded
messagestringHuman-readable status message
dataobject
data.numberinteger
data.is_master_numberboolean
data.karmic_debt_numberinteger | null

Errors

CodeDescriptionReference
authentication_failedMissing or invalid API key.authentication_failed
ephemeris_unavailableUpstream ephemeris service error.ephemeris_unavailable
insufficient_tierAPI key tier does not include this endpoint.insufficient_tier
internal_errorUnexpected server error.internal_error
ip_rate_limit_exceededToo many requests in a short window.ip_rate_limit_exceeded
payload_too_largeRequest body exceeds the size limit.payload_too_large
resource_not_foundReferenced resource was not found.resource_not_found
validation_errorRequest body failed schema validation.validation_error